Bug 229040 - dns/knot-resolver: Update to 2.3.0 (CVE-2018-1110)
Summary: dns/knot-resolver: Update to 2.3.0 (CVE-2018-1110)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-15 08:51 UTC by nusenu
Modified: 2018-06-20 15:08 UTC (History)
2 users (show)

See Also:
freebsd: maintainer-feedback+
pi: merge-quarterly+


Attachments
patch (2.53 KB, patch)
2018-06-18 21:43 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Kurt Jaeger freebsd_committer 2018-06-18 21:43:52 UTC
Created attachment 194377 [details]
patch

update 2.1.1 -> 2.3.0
Comment 2 Leo Vandewoestijne 2018-06-19 21:51:01 UTC
Works all perfect.
Thanks!
Comment 3 Kurt Jaeger freebsd_committer 2018-06-20 03:49:35 UTC
Committed, pending MFH
Comment 4 commit-hook freebsd_committer 2018-06-20 03:50:12 UTC
A commit references this bug:

Author: pi
Date: Wed Jun 20 03:49:21 UTC 2018
New revision: 472842
URL: https://svnweb.freebsd.org/changeset/ports/472842

Log:
  dns/knot-resolver: update 2.1.1 -> 2.3.0, fixing CVE-2018-1110

  PR:		229040
  Reported by:	freebsd-vheg@riseup.net
  Approved by:	Leo Vandewoestijne <freebsd@dns.company> (maintainer)
  MFH:		2018Q2
  Relnotes:	https://www.knot-resolver.cz/2018-04-23-knot-resolver-2.3.0.html
  Security:	CVE-2018-1110

Changes:
  head/dns/knot-resolver/Makefile
  head/dns/knot-resolver/distinfo
  head/dns/knot-resolver/files/patch-contrib_ucw_mempool-fmt.c
  head/dns/knot-resolver/pkg-plist
Comment 5 commit-hook freebsd_committer 2018-06-20 15:07:22 UTC
A commit references this bug:

Author: pi
Date: Wed Jun 20 15:06:53 UTC 2018
New revision: 472874
URL: https://svnweb.freebsd.org/changeset/ports/472874

Log:
  MFH: r472842

  dns/knot-resolver: update 2.1.1 -> 2.3.0, fixing CVE-2018-1110

  PR:		229040
  Reported by:	freebsd-vheg@riseup.net
  Approved by:	Leo Vandewoestijne <freebsd@dns.company> (maintainer)
  Relnotes:	https://www.knot-resolver.cz/2018-04-23-knot-resolver-2.3.0.html
  Security:	CVE-2018-1110
  Approved by:	portmgr (miwi)

Changes:
_U  branches/2018Q2/
  branches/2018Q2/dns/knot-resolver/Makefile
  branches/2018Q2/dns/knot-resolver/distinfo
  branches/2018Q2/dns/knot-resolver/files/patch-contrib_ucw_mempool-fmt.c
  branches/2018Q2/dns/knot-resolver/pkg-plist
Comment 6 Kurt Jaeger freebsd_committer 2018-06-20 15:07:47 UTC
Committed to quarterly.